/dports/math/cgal/CGAL-5.3/include/CGAL/ |
H A D | HalfedgeDS_face_base.h | 26 template < class Refs, class T = Tag_true, class Pln = Tag_false> 79 template < class Refs, class Pln > 80 class HalfedgeDS_face_base< Refs, Tag_false, Pln> { 83 typedef HalfedgeDS_face_base< Refs, Tag_false, Pln> Base; 95 typedef Pln Plane; 112 template < class Refs, class Pln > 113 class HalfedgeDS_face_base< Refs, Tag_true, Pln> { 116 typedef HalfedgeDS_face_base< Refs, Tag_true, Pln> Base; 128 typedef Pln Plane;
|
H A D | HalfedgeDS_face_max_base_with_id.h | 19 template < class Refs, class Pln, class ID> 20 class HalfedgeDS_face_max_base_with_id : public HalfedgeDS_face_base< Refs, Tag_true, Pln> 24 typedef HalfedgeDS_face_base< Refs, Tag_true, Pln> Base ; 35 HalfedgeDS_face_max_base_with_id( Pln const& p) : Base(p), mID ( size_type(-1) ) {} in HalfedgeDS_face_max_base_with_id() 36 HalfedgeDS_face_max_base_with_id( Pln const& p, size_type i ) : Base(p), mID (i) {} in HalfedgeDS_face_max_base_with_id()
|
/dports/cad/opencascade/opencascade-7.6.0/src/GC/ |
H A D | GC_MakePlane.cxx | 79 gp_Pln Pln = gce_MakePln(Pl,Dist); in GC_MakePlane() local 81 ThePlane = new Geom_Plane(Pln); in GC_MakePlane() 91 gp_Pln Pln= gce_MakePln(Pl,Point); in GC_MakePlane() local 93 ThePlane = new Geom_Plane(Pln); in GC_MakePlane() 101 gp_Pln Pln = gce_MakePln(Axis); in GC_MakePlane() local 103 ThePlane = new Geom_Plane(Pln); in GC_MakePlane()
|
H A D | GC_MakePlane.hxx | 67 Standard_EXPORT GC_MakePlane(const gp_Pln& Pln, const gp_Pnt& Point); 76 Standard_EXPORT GC_MakePlane(const gp_Pln& Pln, const Standard_Real Dist);
|
/dports/sysutils/webmin/webmin-1.981/sshd/ |
H A D | config.info.sk | 2 sshd_path=Plná cesta k sshd programu,0 3 sshd_config=Plná cesta k sshd konfiguračnému súboru,0 4 client_config=Plná cesta k ssh klientskému konfiguračnému súboru,0 5 pid_file=Plná cesta k sshd PID súboru,3,Žiadna 9 keygen_path=Plná cesta k ssh-keygen programu,0
|
/dports/cad/opencascade/opencascade-7.6.0/src/BRepTest/ |
H A D | BRepTest_PrimitiveCommands.cxx | 249 S = BRepPrimAPI_MakeCylinder(P->Pln().Position().Ax2(),Draw::Atof(a[3]),Draw::Atof(a[4])); in cylinder() 255 …S = BRepPrimAPI_MakeCylinder(P->Pln().Position().Ax2(),Draw::Atof(a[3]),Draw::Atof(a[4]),Draw::Ato… in cylinder() 283 …S = BRepPrimAPI_MakeCone(P->Pln().Position().Ax2(),Draw::Atof(a[3]),Draw::Atof(a[4]),Draw::Atof(a[… in cone() 286 …S = BRepPrimAPI_MakeCone(P->Pln().Position().Ax2(),Draw::Atof(a[3]),Draw::Atof(a[4]),Draw::Atof(a[… in cone() 314 S = BRepPrimAPI_MakeSphere(P->Pln().Position().Ax2(),Draw::Atof(a[3])); in sphere() 320 …S = BRepPrimAPI_MakeSphere(P->Pln().Position().Ax2(),Draw::Atof(a[3]),Draw::Atof(a[4]) * (M_PI / 1… in sphere() 326 …S = BRepPrimAPI_MakeSphere(P->Pln().Position().Ax2(),Draw::Atof(a[3]),Draw::Atof(a[4]) * (M_PI / 1… in sphere() 357 S = BRepPrimAPI_MakeTorus(P->Pln().Position().Ax2(),Draw::Atof(a[3]),Draw::Atof(a[4])); in torus() 364 S = BRepPrimAPI_MakeTorus(P->Pln().Position().Ax2(), in torus() 372 S = BRepPrimAPI_MakeTorus(P->Pln().Position().Ax2(),Draw::Atof(a[3]), in torus() [all …]
|
/dports/cad/opencascade/opencascade-7.6.0/src/GeomPlate/ |
H A D | GeomPlate_BuildAveragePlane.cxx | 67 myOX = myPlane->Pln().XAxis().Direction(); in GeomPlate_BuildAveragePlane() 68 myOY = myPlane->Pln().YAxis().Direction(); in GeomPlate_BuildAveragePlane() 78 gp_Pln P=myPlane->Pln(); in GeomPlate_BuildAveragePlane() 216 gp_Pln Pln = myPlane->Pln(); in GeomPlate_BuildAveragePlane() local 217 ElSLib::Parameters( Pln, Axe.Location(), myUmax, myVmax ); in GeomPlate_BuildAveragePlane() 223 gp_Vec aVec( Pln.Location(), myPts->Value(i) ); in GeomPlate_BuildAveragePlane() 224 gp_Vec NormVec = Pln.Axis().Direction(); in GeomPlate_BuildAveragePlane() 227 … ElSLib::Parameters( Pln, myPts->Value(i).Translated( -NormVec ), U, V ); //????? Real projecting? in GeomPlate_BuildAveragePlane() 238 myOX = myPlane->Pln().XAxis().Direction(); in GeomPlate_BuildAveragePlane() 239 myOY = myPlane->Pln().YAxis().Direction(); in GeomPlate_BuildAveragePlane()
|
/dports/cad/opencascade/opencascade-7.6.0/src/DsgPrs/ |
H A D | DsgPrs_EqualDistancePresentation.cxx | 77 OrtDir = Plane->Pln().Axis().Direction() ^ LineDir; in Add() 90 gp_Pnt MidPnt = Point1.Rotated( Plane->Pln().Axis(), Angle*0.5 ); in Add() 92 LineDir = OrtDir ^ Plane->Pln().Axis().Direction(); in Add() 105 OrtVec = gp_Vec( Plane->Pln().XAxis().Direction() ) * SmallDist; in Add() 106 LineVec = gp_Vec( Plane->Pln().YAxis().Direction() ) * SmallDist; in Add()
|
/dports/cad/opencascade/opencascade-7.6.0/inc/ |
H A D | GC_MakePlane.hxx | 67 Standard_EXPORT GC_MakePlane(const gp_Pln& Pln, const gp_Pnt& Point); 76 Standard_EXPORT GC_MakePlane(const gp_Pln& Pln, const Standard_Real Dist);
|
H A D | ChFiKPart_ComputeData_FilPlnCyl.hxx | 22 const gp_Pln& Pln, 36 const gp_Pln& Pln,
|
H A D | ChFiKPart_ComputeData_ChPlnCyl.hxx | 23 const gp_Pln& Pln, 44 const gp_Pln& Pln,
|
H A D | gce_MakePln.hxx | 83 Standard_EXPORT gce_MakePln(const gp_Pln& Pln, const gp_Pnt& Point); 92 Standard_EXPORT gce_MakePln(const gp_Pln& Pln, const Standard_Real Dist);
|
H A D | ChFiKPart_ComputeData_ChAsymPlnCyl.hxx | 22 const gp_Pln& Pln, 38 const gp_Pln& Pln,
|
H A D | BRepFeat_RibSlot.hxx | 108 …(Geom_Curve)& cc, const Standard_Real par, const Standard_Real bnd, const Handle(Geom_Plane)& Pln); 124 …T gp_Pnt CheckPoint (const TopoDS_Edge& e, const Standard_Real bnd, const Handle(Geom_Plane)& Pln); 132 …ndard_Boolean RevolRib, const Standard_Real bnd, const Handle(Geom_Plane)& Pln, TopoDS_Edge& First…
|
/dports/cad/opencascade/opencascade-7.6.0/src/ChFiKPart/ |
H A D | ChFiKPart_ComputeData_FilPlnCyl.hxx | 22 const gp_Pln& Pln, 36 const gp_Pln& Pln,
|
H A D | ChFiKPart_ComputeData_ChAsymPlnCyl.hxx | 22 const gp_Pln& Pln, 38 const gp_Pln& Pln,
|
H A D | ChFiKPart_ComputeData_ChPlnCyl.hxx | 23 const gp_Pln& Pln, 44 const gp_Pln& Pln,
|
H A D | ChFiKPart_ComputeData_ChPlnCon.cxx | 62 const gp_Pln& Pln, in ChFiKPart_MakeChamfer() argument 101 gp_Ax3 PosPl = Pln.Position(); in ChFiKPart_MakeChamfer() 145 IsResol = ChFiKPart_MakeChAsym(DStr, Data, Pln, Con, fu, lu, Or1, Or2, in ChFiKPart_MakeChamfer()
|
/dports/devel/py-cadquery-pywrap/pywrap-e8c7bc9/opencascade/ |
H A D | ChFiKPart_ComputeData_FilPlnCyl.hxx | 22 const gp_Pln& Pln, 36 const gp_Pln& Pln,
|
H A D | GC_MakePlane.hxx | 69 Standard_EXPORT GC_MakePlane(const gp_Pln& Pln, const gp_Pnt& Point); 78 Standard_EXPORT GC_MakePlane(const gp_Pln& Pln, const Standard_Real Dist);
|
H A D | ChFiKPart_ComputeData_ChPlnCyl.hxx | 23 const gp_Pln& Pln, 44 const gp_Pln& Pln,
|
H A D | ChFiKPart_ComputeData_ChAsymPlnCyl.hxx | 22 const gp_Pln& Pln, 38 const gp_Pln& Pln,
|
H A D | gce_MakePln.hxx | 83 Standard_EXPORT gce_MakePln(const gp_Pln& Pln, const gp_Pnt& Point); 92 Standard_EXPORT gce_MakePln(const gp_Pln& Pln, const Standard_Real Dist);
|
/dports/cad/opencascade/opencascade-7.6.0/src/gce/ |
H A D | gce_MakePln.hxx | 83 Standard_EXPORT gce_MakePln(const gp_Pln& Pln, const gp_Pnt& Point); 92 Standard_EXPORT gce_MakePln(const gp_Pln& Pln, const Standard_Real Dist);
|
/dports/cad/opencascade/opencascade-7.6.0/src/BRepFeat/ |
H A D | BRepFeat_RibSlot.hxx | 108 …(Geom_Curve)& cc, const Standard_Real par, const Standard_Real bnd, const Handle(Geom_Plane)& Pln); 124 …T gp_Pnt CheckPoint (const TopoDS_Edge& e, const Standard_Real bnd, const Handle(Geom_Plane)& Pln); 132 …ndard_Boolean RevolRib, const Standard_Real bnd, const Handle(Geom_Plane)& Pln, TopoDS_Edge& First…
|